public final class WidgetTest {
    
    @Test
    default_constructed_widgets_are_unhappy() {
        final Widget w = new Widget();
        if (w.isHappy()) {
            Assert.fail("A default-constructed Widget should not be happy");
        }
        Assert.assertTrue(true);
    }
    
    @Test
    using_a_happy_widget_is_ok() {
        final Widget w = new Widget();
        w.makeHappy();
        try {
            w.use();
        } catch (final Exception e) {
            Assert.fail(e.getMessage());
        }
    }

    @Test
    using_an_unhappy_widget_throws() {
        final Widget w = new Widget();
        try {
            w.use();
            Assert.fail("No exception thrown");
        } catch (final TooSadToUse e) { /* good */ }
    }
    
}
