import java.util.Arrays;
import java.util.Random;

enum PluginPriority { LOW, MID, HIGH; };

final class Plugin implements Comparable<Plugin> {

    private final String name;
    private final PluginPriority priority;

    public Plugin(final String name, final PluginPriority priority) {
        this.name = name;
        this.priority = priority;
    }

    @Override
    public String toString() {
        return String.format("%s (%s)", this.name, this.priority);
    }

    @Override
    public int compareTo(final Plugin that) {
        return 0;
        // final int nos = (this.priority == null) ? -1 : this.priority.ordinal();
        // final int vos = (that.priority == null) ? -1 : that.priority.ordinal();
        // return nos - vos;
    }

}


class Main {

    public static void main(final String[] args) {
        final Random rng = new Random();
        Arrays.stream(args)
            .map(name -> new Plugin(name, getRandomPriority(rng)))
            .sorted()
            .forEach(System.out::println);
    }

    private static PluginPriority getRandomPriority(final Random rng) {
        final PluginPriority[] priorities = PluginPriority.values();
        final int index = rng.nextInt(priorities.length + 1);
        return (index < priorities.length) ? priorities[index] : null;
    }

}
